<p dir="ltr">On Apr 6, 2015 9:31 PM, "Sepi Gh" <<a href="mailto:adm2303.2304@gmail.com">adm2303.2304@gmail.com</a>> wrote:<br>
><br>
> On Monday, 6 April 2015 23:27:54 UTC-4, Sepi Gh  wrote:<br>
> > On Monday, 6 April 2015 22:54:26 UTC-4, Sepi  wrote:<br>
> > > Hi,<br>
> > ><br>
> > > I installed wxpython through command line but when I want to use it, python gives me an error:  File "/Users//Desktop/test.py", line 1, in <module><br>
> > >     import wx<br>
> > > ImportError: No module named 'wx'<br>
> > ><br>
> > > When I check my python path it is version 3.3 (/Library/Frameworks/Python.framework/Versions/3.3/) but when I try to install wxpython via python setup.py install --user it installs in /UsersLibrary/Python/2.7/bin/<br>
> > ><br>
> > > I don't know how to change this.<br>
> ><br>
> > I got the answer! Just using python 3 instead of python in the command line<br>
><br>
> But I get this error now:  File "/Users//Library/Python/3.3/lib/python/site-packages/wx_py/PyWrap.py", line 27<br>
>     print "Please specify a module name."<br>
>                                         ^<br>
> SyntaxError: invalid syntax</p>
<p dir="ltr">wxPython classic doesn't support Python 3. You can try using wxPython Phoenix which is a complete rewrite that does support Python 3. It doesn't have a stable release yet, although I hear it's getting close.</p>